Jicofo installation on Openbsd


#1

Hello,

I followed the manual installation for jitsi and did

mvn package -DskipTests -Dassembly.skipAssembly=false

It creates packages but not for Openbsd
I see that there is one jicofo-1.1-SNAPSHOT.jar, is it the same as the packages ?
Just the jicofo.sh is added ?

Which version would you advice for Openbsd ?

Regards


#2

Hey, so jicofo-1.1-SNAPSHOT.jar is just the jicofo code without any of the dependencies, so this is not enough to run jicofo.
You need the assemblies to run jicofo like target/jicofo-linux-x86-1.1-SNAPSHOT.zip. I would say, start from there and test what are the problems you face when you are running that on OpenBSD.


#3

Hello,
Thank you for your answer.
I managed to launch the program, I just have 2 sorts of warnning

Jicofo 2018-11-02 20:28:02.103 INFO: [10] org.jitsi.impl.configuration.ConfigurationServiceImpl.log() failed to find jitsi-defaults.properties with class loader, will continue without it.
...
Jicofo 2018-11-02 20:28:02.104 INFO: [10] org.jitsi.impl.configuration.ConfigurationServiceImpl.log() failed to find jitsi-default-overrides.properties with class loader, will continue without it.

For the rest it looks ok (this is the last message)
Jicofo 2018-11-02 20:28:03.721 INFO: [24]

org.jitsi.impl.protocol.xmpp.XmppProtocolProvider.doConnect().309 XMPP provider Jabber:focus@auth.jitsi.mydomain.org/focus6645063663683635@jitsi.mydomain.org connected (JID: null)


#4

Hello Damencho,

Actually I can see a Warning 30 minutes after

Jicofo 2018-11-03 23:18:00.417 INFO: [21] org.jitsi.impl.protocol.xmpp.XmppProtocolProvider.doConnect().309 XMPP provider Jabber:focus@auth.jitsi.mydomain.org/focus47922374608873@jitsi.mydomain.org connected (JID: null)
Jicofo 2018-11-03 23:47:59.496 WARNING: [15] org.jivesoftware.smackx.ping.PingManager.pingServerIfNecessary() XMPPConnection was not authenticated

It seemed to me that the authentication was successful in the first place